New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/mobile: java.lang.UnsatisfiedLinkError when package name with '-' #18046

Open
Kuloud opened this Issue Nov 25, 2016 · 1 comment

Comments

Projects
None yet
4 participants
@Kuloud

Kuloud commented Nov 25, 2016

Please answer these questions before submitting your issue. Thanks!

What version of Go are you using (go version)?

go version go1.7.3 darwin/amd64

What operating system and processor architecture are you using (go env)?

GOARCH="amd64"
GOBIN=""
GOEXE=""
GOHOSTARCH="amd64"
GOHOSTOS="darwin"
GOOS="darwin"
GOPATH="/Users/kuloud/Dev/Go"
GORACE=""
GOROOT="/usr/local/go"
GOTOOLDIR="/usr/local/go/pkg/tool/darwin_amd64"
CC="clang"
GOGCCFLAGS="-fPIC -m64 -pthread -fno-caret-diagnostics -Qunused-arguments -fmessage-length=0 -fdebug-prefix-map=/var/folders/dq/1jrcxg1156l7ncr_8jsmwwpc0000gn/T/go-build903651586=/tmp/go-build -gno-record-gcc-switches -fno-common"
CXX="clang++"
CGO_ENABLED="1"

What did you do?

gomobile bind package for android which contains '-', it throws UnsatisfiedLinkError when call the gobind methods.

for example:
com.kuloud.gobind.test-case

What did you expect to see?

support package name with '-'

What did you see instead?

N/A

@quentinmit quentinmit added this to the Unreleased milestone Nov 29, 2016

@quentinmit quentinmit added the NeedsFix label Nov 29, 2016

@gopherbot gopherbot added the mobile label Jul 20, 2017

@eliasnaur

This comment has been minimized.

Contributor

eliasnaur commented Mar 16, 2018

Please provide me with a complete example that demonstrates the error. You only provided a package name.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment